Get Customer
curl --request GET \
--url https://vas.finpaytech.co/business-api/api/v1/merchants/me/customers/{customerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vas.finpaytech.co/business-api/api/v1/merchants/me/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vas.finpaytech.co/business-api/api/v1/merchants/me/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c0a80101-7b2c-4d11-9e4a-111111111111",
"merchantId": "301f0991-8f7c-4501-a1d4-c317fe7b7f23",
"subMerchantId": null,
"externalRef": "crm-44019",
"displayName": "Jane Wanjiku",
"email": "jane@example.com",
"phone": "254712345678",
"status": "ACTIVE",
"createdAt": "2026-09-09T09:00:00.000Z"
}Customers
Get Customer
GET
https://vas.finpaytech.co/business-api
/
api
/
v1
/
merchants
/
me
/
customers
/
{customerId}
Get Customer
